#!/bin/bash
export LC_ALL="C" LIBGL_ES=2 LIBGL_GL=21 LIBGL_DEFAULTWRAP=2 LIBGL_FBOFORCETEX=1 LD_LIBRARY_PATH=/usr/local/lib/monolibs/ 
if [ ! -f $HOME/.FNA/Owlboy/Owlboy.exe ]; then
	zenity --info --text="Welcome to the Owlboy ODROID GoG installer.
This setup allows you to extract the files of your Owlboy Linux version from GoG and will prepare it so you can use it on your ODROID.
It will extract the game to $HOME/.FNA/Owlboy"
	FILE=`zenity --file-selection --title="Please select Owlboy Installation file (e.g. owlboy_en_1_3_6564_30139_17605.sh):" --file-filter=*.sh`
	if [ $? -ne 0 ]; then
		exit 1
	fi
	if [ -d /tmp/Owlboy ]; then
		rm -rf /tmp/Owlboy
	fi
	mkdir /tmp/Owlboy
	unzip -d /tmp/Owlboy $FILE | zenity --progress --auto-close --pulsate --text "extracting game files"
	cd /tmp/Owlboy
	rm -rf meta scripts
	mv data/noarch/game/* .
	rm -rf data Mono.* System.* mscorlib.dll
	cd ..
	[ -d $HOME/.FNA/ ] || mkdir -p $HOME/.FNA/
	mv Owlboy $HOME/.FNA/
fi
cd $HOME/.FNA/Owlboy/
mono Owlboy.exe
